package com.example.TreballFiGrau;

import android.content.Intent;
import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Button;
import android.widget.EditText;
import android.widget.ListView;
import android.widget.Toast;

public class LlistaComentaris extends Fragment{
	//public static ArrayList<Noticia> dades;
	public static Llista_AdapterComentaris llista_adapter_comentaris;
	public ListView llista;
	public int ultimaNoticia=0;
	ViewGroup rootView;
	EditText text;
	
	@Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,Bundle savedInstanceState){
    	rootView = (ViewGroup) inflater.inflate(R.layout.llista_comentaris, container, false);
    	
    	//dades = new ArrayList<Noticia>();
    	//llegirNoticiesServer();
		//construirDades();
    	Log.d("aki", "dintre fragment llista noticies");
    	llista_adapter_comentaris = new Llista_AdapterComentaris(getActivity(), R.layout.comentari);
		llista = (ListView) rootView.findViewById(R.id.ListView_comentaris);
        llista.setAdapter(llista_adapter_comentaris);

        text =  (EditText) rootView.findViewById(R.id.textEscriureComentari);
        
        
        listener();
        return rootView;
    }
	
	public static void actualitzarLlistaComentaris(){
		llista_adapter_comentaris.notifyDataSetChanged();
    }
	
	public void listener(){
 
    	Button button = (Button) rootView.findViewById(R.id.buttonPublicarComentari);

        button.setOnClickListener(new View.OnClickListener() {
            public void onClick(View v) {
            	if(User.conectat){
            		String contingut = text.getText().toString();
            		String autor= User.nom;
            		String idNoticia = NoticiaSeleccionada.id;
            		Log.d("aki", contingut);
            		
                	Runnable r = new AfegirComentariWeb(autor,contingut,idNoticia);
                	new Thread(r).start();
                	getActivity().finish();	
            	}else{
            		CharSequence texto = "Connectat per Comentar Noticia!";
                	Toast toast;
            		toast = Toast.makeText(getActivity(), texto, Toast.LENGTH_LONG);
                    toast.setDuration(100000);
                    toast.show();
            	}
        		
            	
            	
            }
        });
	}
}
